﻿using System;
using System.Windows;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace TestProject
{
    /// <summary>
    /// 메인 윈도우
    /// </summary>
    public partial class MainWindow : Window
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Field
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region Field

        /// <summary>
        /// 스토리 보드
        /// </summary>
        private Storyboard storyboard;

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainWindow()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainWindow()
        {
            InitializeComponent();

            this.storyboard = new Storyboard(); 

            DoubleAnimation doubleAnimation = new DoubleAnimation
            (
                200d,
                100d,
                new Duration(TimeSpan.FromSeconds(2))
            );

            doubleAnimation.RepeatBehavior = RepeatBehavior.Forever;
            doubleAnimation.AutoReverse    = true;        
            doubleAnimation.BeginTime      = TimeSpan.FromSeconds(0.5);      

            Storyboard.SetTargetName    (doubleAnimation, this.rectangle.Name);
            Storyboard.SetTargetProperty(doubleAnimation, new PropertyPath(Rectangle.HeightProperty));

            this.storyboard.Children.Add(doubleAnimation);

            Loaded += Window_Loaded;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region 윈도우 로드시 처리하기 - Window_Loaded(sender, e)

        /// <summary>
        /// 윈도우 로드시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            this.storyboard.Begin(this);
        }

        #endregion
    }
}